- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.LegacyCreateConnectorPackageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPublisher/legacyCreateConnectorPackage#body.aspect_1)

**Full name**: projects.locations.instances.legacyPublisher.legacyCreateConnectorPackage

Uploads ingestion data from a remote agent to the Publisher. The Secops instance will then process the ingestion data from the Publisher.

### HTTP request

- Upload URI, for media upload requests:  
  `POST https://{endpoint}/upload/v1alpha/{instance}/legacyPublisher:legacyCreateConnectorPackage`
- Metadata URI, for metadata-only requests:  
  `POST https://{endpoint}/v1alpha/{instance}/legacyPublisher:legacyCreateConnectorPackage`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance of the legacy publisher. Format: projects/{project}/locations/{location}/instances/{instance}/legacyPublisher |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connector_id": string, "guid": string, "media": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`) }, "mediaInfo": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaRequestInfo`) } } ``` |

| Fields ||
|---|---|
| `connector_id` | `string` Required. The connector id of the connector package. |
| `guid` | `string` Required. The guid of the connector package. |
| `media` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo#Media`)`` Required. The media object to upload containing the connector package. |
| `mediaInfo` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaRequestInfo`)`` Required. The media request info. |

### Response body

Response message for legacyPublisher.legacyCreateConnectorPackage.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediaInfo": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo`) } } ``` |

| Fields ||
|---|---|
| `mediaInfo` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/MediaResponseInfo`)`` Required. Scotty properties (won't be visible in exposed API) |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPublisher.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).